> For the complete documentation index, see [llms.txt](https://docs.kryptox.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kryptox.finance/api/common-error-codes.md).

# Common Error Codes

| code    | msg                                               |
| ------- | ------------------------------------------------- |
| `0`     | `success`                                         |
| `10002` | `param required`                                  |
| `10003` | `param error`                                     |
| `10004` | `not supported`                                   |
| `10005` | `version error`                                   |
| `10006` | `request too large`                               |
| `12402` | `Invalid kx-nonce`                                |
| `20003` | `no auth`                                         |
| `20004` | `user has frozen`                                 |
| `20005` | `url in user blacklist`                           |
| `20008` | `ip changed`                                      |
| `22403` | `Invalid kx-sign`                                 |
| `22404` | `Invalid request ip, the current clientIp is:{0}` |
| `22405` | `Access denied, require more permission.`         |
| `22409` | `Invalid request ip`                              |
| `22414` | `Invalid authorization token.`                    |
| `22415` | `Authorization is required.`                      |
| `22416` | `NFT ownership verification failed.`              |
| `30003` | `accepted, usually to indicate part of success`   |
| `30004` | `content empty`                                   |
| `30005` | `not exist`                                       |
| `30006` | `already exist`                                   |
| `30007` | `operation is canceled`                           |
| `30008` | `not enabled`                                     |
| `30009` | `request redirect`                                |
| `50006` | `internal error`                                  |
| `50007` | `service unavailable`                             |
| `50010` | `request timeout`                                 |
| `50011` | `get lock error`                                  |
| `52401` | `Server busy, please retry later`                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kryptox.finance/api/common-error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
